import json
import urllib2
import logging

logging.basicConfig(filename='wqb.log', format='%(asctime)s - %(name)s - %(levelname)s - %(message)s', encoding='utf-8', level=logging.DEBUG)

sl = urllib2.urlopen(urllib2.Request('https://www.wowhead.com/world-quests/sl/eu', headers={'User-Agent': 'Edg/79.0.309.43'})).read()
bfa = urllib2.urlopen(urllib2.Request('https://www.wowhead.com/world-quests/bfa/eu', headers={'User-Agent': 'Edg/79.0.309.43'})).read()
legion = urllib2.urlopen(urllib2.Request('https://www.wowhead.com/world-quests/legion/eu', headers={'User-Agent': 'Edg/79.0.309.43'})).read()

config = open('.conf', 'r')
config = config.readlines()

chat_id = config[0].split('=')[1].strip()
token = config[1].split('=')[1].strip()

def send_message(input):
    data = {
        'chat_id': chat_id,
        'text': input
    }

    req = urllib2.Request('https://api.telegram.org/bot' + token + '/sendMessage')
    req.add_header('Content-Type', 'application/json')

    response = urllib2.urlopen(req, json.dumps(data))

    logging.info('sent message ' + input)

qlist = open('ql','r')
qlist = qlist.readlines()

for quest in qlist:
    quest = quest.rstrip()
    qsplit = quest.split('|')
    if len(qsplit) == 2:
        if (sl.find(qsplit[1]) != -1):
            send_message('[SL Tamer] ' + qsplit[0] + ' - ' + qsplit[1])
        if (bfa.find(qsplit[1]) != -1):
            send_message('[BFA Tamer] ' + qsplit[0] + ' - ' + qsplit[1])
        if (legion.find(qsplit[1]) != -1):
            send_message('[Legion Tamer] ' + qsplit[0] + ' - ' + qsplit[1])
    elif len(qsplit) == 3:
        if (sl.find(qsplit[1]) != -1):
            send_message('[SL Tamer] ' + qsplit[0] + ' - ' + qsplit[1] + ' - ' + qsplit[2])
        if (bfa.find(qsplit[1]) != -1):
            send_message('[BFA Tamer] ' + qsplit[0] + ' - ' + qsplit[1] + ' - ' + qsplit[2])
        if (legion.find(qsplit[1]) != -1):
            send_message('[Legion Tamer] ' + qsplit[0] + ' - ' + qsplit[1] + ' - ' + qsplit[2])
    else:
        if (sl.find(quest) != -1):
            send_message('[SL] ' + quest)
        if (bfa.find(quest) != -1):
            send_message('[BFA] ' + quest)
        if (legion.find(quest) != -1):
            send_message('[Legion] ' + quest)
